package com.xhkjedu.smarking.mapper.stupaper;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.smarking.model.stupaper.MsPaperStudentBlock;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Description 阅卷试卷学生题块 Mapper 接口
 * @Author auto
 * @Date 2024-10-15
 */
public interface MsPaperStudentBlockMapper extends TkMapper<MsPaperStudentBlock> {

    //根据学生试卷ID清空作答及批阅信息
    int updateStudentBlockQuestionByMpsid(@Param("mpsid")Integer mpsid);

    //获取学生题块试题
    List<MsPaperStudentBlock> listPaperStuBlockQuestions(@Param("mpsid")Integer mpsid);

    //批量更改学生题块
    int updateBatchStuBlock(@Param("list")List<MsPaperStudentBlock> list);

    //批量更新批改人ID
    void batchUpdateCheckId(@Param("list") List<MsPaperStudentBlock> blocks);

    //清空教师未阅卷任务
    void updateByMpsbidsAndTeacherid(@Param("mpsbids") String mpsbids,@Param("teacherid") Integer teacherid);
    //批量保存学生题块
    void insertBatchStudentBlock(@Param("list") List<MsPaperStudentBlock> list);

}
